This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 961901 - Review Request: rubygem-origin - Simple DSL for MongoDB query generation
Review Request: rubygem-origin - Simple DSL for MongoDB query generation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 13:07 EDT by Troy Dawson
Modified: 2016-01-04 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-origin-1.1.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 00:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-05-10 13:07:56 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-origin.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-origin-1.1.0-1.fc20.src.rpm
Description: Origin is a simple DSL for generating MongoDB selectors and options
Fedora Account System Username: tdawson
Comment 1 Troy Dawson 2013-05-10 13:10:51 EDT
RPMLINT Output:
$ rpmlint rubygem-origin.spec rubygem-origin-1.1.0-1.fc20.src.rpm rubygem-origin-1.1.0-1.fc20.noarch.rpm rubygem-origin-doc-1.1.0-1.fc20.noarch.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Josef Stribny 2013-05-27 08:16:13 EDT
I will take it for a review.
Comment 3 Josef Stribny 2013-05-27 10:44:40 EDT
* Run specs in %check section
  Upstream provides specs [1], so please include them in the SRPM and run them.

* Don't include files not necessary for runtime in the main package
  - CHANGELOG.md and README.md should go to %doc sub-package marked as %doc, 
  - Rakefile should go to %doc sub-package not marked as %doc
  - LICENSE file should be kept in the main package and should stay marked as %doc.

[1] https://github.com/mongoid/origin/tree/master/spec
Comment 4 Troy Dawson 2013-05-28 12:48:34 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-origin.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-origin-1.1.0-2.fc20.src.rpm

- %check section
-- Done
-- Thank you for the testing URL.  I am not used to doing the spec for a test and totally missed that.

- %files section
-- I was being lazy.  I have fixed my lazyness.
-- LICENSE, in main package, marked at %doc
-- CHANGELOG and README.md, in doc subpackage, marked as %doc
-- Rakefile, in doc subpackage, not marked as %doc
Comment 5 Josef Stribny 2013-05-29 04:31:27 EDT
Thanks for fixing it, now everything seems to be fine --> I am APPROVING.
Comment 6 Josef Stribny 2013-05-29 07:11:24 EDT
Ach, please don't mind me yet.

I checked once more the dependencies (as Vit suggested) and they seem to be needed for run-time[2]. They are also listed in specfile[1]. So make those BuildRequires also Requires.

And please, if you can, you can also change the unpacking of the test-suite on the way[3] :).

[1] https://github.com/mongoid/mongoid/blob/master/mongoid.gemspec
[2] https://github.com/mongoid/mongoid/blob/master/lib/mongoid/validatable.rb
[3] https://fedorahosted.org/fpc/ticket/296
Comment 7 Troy Dawson 2013-05-29 09:40:57 EDT
Hi,
I hate to contradict you, but you just got your packages mixed up.  You are pointing me to the mongoid gemspec and validation table.
If you look at the origin gemspec[1] as well as the rubygems.org page[2] you will see that those BuildRequires modules are not needed for anything but the tests.

[1] https://raw.github.com/mongoid/origin/master/origin.gemspec
[2] https://rubygems.org/gems/origin/versions/1.1.0

As much as I want to change the unpacking of the test-suite, I would like to go with what is in the current documentation.
Comment 8 Troy Dawson 2013-06-05 16:39:25 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-origin.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-origin-1.1.0-3.fc20.src.rpm

- Moved test unpacking to check section
- Fixed dependancies
Comment 9 Josef Stribny 2013-06-06 09:23:45 EDT
I am sorry about the confusion, I had them opened at once since it's the dependency and I mixed them up. Multitasking fail :).

The SRPM and SPEC looks good, package builds, installs, runs. Rpmlint is false positive so I am APPROVING.

Thank you.
Comment 10 Troy Dawson 2013-06-06 09:50:50 EDT
New Package SCM Request
=======================
Package Name: rubygem-origin
Short Description: Simple DSL for MongoDB query generation
Owners: tdawson
Branches: f19 f18
InitialCC:
Comment 11 Jon Ciesla 2013-06-06 10:00:34 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-06-06 11:19:09 EDT
rubygem-origin-1.1.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-origin-1.1.0-3.fc19
Comment 13 Fedora Update System 2013-06-06 13:32:26 EDT
rubygem-origin-1.1.0-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-06-14 00:47:08 EDT
rubygem-origin-1.1.0-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.